Module javafx.graphics
Package javafx.scene.input

# Class KeyCombination.Modifier

java.lang.Object
javafx.scene.input.KeyCombination.Modifier

Enclosing class:
  `KeyCombination`

public static final class KeyCombination.Modifier extends Object
This class represents a pair of modifier key and its value.

Since:
  JavaFX 2.0

## Method Summary

Modifier and Type
Method
Description
`KeyCode`
`getKey()`
Gets the modifier key of this `Modifier`.
`KeyCombination.ModifierValue`
`getValue()`
Gets the modifier value of this `Modifier`.
`String`
`toString()`
Returns a string representation of the modifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getKey

public KeyCode getKey()
Gets the modifier key of this `Modifier`.

Returns:
  the modifier key

### getValue

public KeyCombination.ModifierValue getValue()
Gets the modifier value of this `Modifier`.

Returns:
  the modifier value

### toString

public String toString()
Returns a string representation of the modifier.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the modifier